Authorize a payment
POST
/v:version/payments/authorize
Requires the PAYMENT.AUTHORIZE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
versionstringRequiredDefaults to
1version
Headers
x-platform-idstringOptional
Platform ID.
Request
This endpoint expects an object.
payment_acceptor_idstringRequired
Resource ID of type PAYMENT_ACCEPTOR
customer_idstringRequired
Resource ID of type CUSTOMER
payment_gateway_variantenumRequired
Allowed values:
payment_method_idstring or nullOptional
stripeobjectOptional
adyenobjectOptional
amountobjectOptional
referencestring or nullOptional
contextobjectOptional
return_urlstring or nullOptional
Response
OK
statusenum
Allowed values:
payment_methodobject
paymentobject
actionobject
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error